Install The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

The 1.7.10 Pack Version 0.9.8b

created by Hi it's me on Minecraft Version 1.7.10 using Technic Solder
The 1.7.10 Pack was updated to version 0.7.9e 3 years ago
New quests? If you guys have suggestions, ideas: go to the "HELP" section and see where you can post them! The best ideas may be added to the modpack :)
Hi it's me 3 years ago
The 1.7.10 Pack was updated to version 0.7.9d 3 years ago
The 1.7.10 Pack was updated to version 0.7.9d 3 years ago
The 1.7.10 Pack was updated to version 0.7.9a 3 years ago
Currently v0.7.9 is going to be set to "Latest", and not "Recommended". If you're using the latest branch, be sure to report if you find any problem, so we can push it to recommended :)
Hi it's me 3 years ago
New updates.. new mods? More information in GitHub!
Hi it's me 3 years ago
We also added the required libary files by Project Red now as another mod so it'll download for our host, sorry for the latest problems. Enjoy :)
Hi it's me 3 years ago
We added the required libary files as another mod so it'll download from out host. Should fix the problems with new installs. Enjoy!
The 1.7.10 Pack was updated to version 0.7.8 3 years ago
We're very happy to launch the new website and designs! Be sure to check them out. Also there's a new update to the Sphax patch, get it now! Enjoy :)
Hi it's me 3 years ago
Over half a million launches and almost 100 thousand downloads, thanks guys for being awesome!
Hi it's me 3 years ago
There were some community servers that posted here in the discuss section lately, for a list: http://pastebin.com/8LR6WHXQ
Just FYI guise, the latest version (v0.7.7) is currently set to "Latest" and not (yet?) to "Recommended". If you'd like to help, be sure to report any tiny problem (if you find one) in: http://bit.ly/The-1-7-10-Pack-Issues.
Hi it's me 4 years ago
The 1.7.10 Pack was updated to version 0.7.7 4 years ago
Expect a big update to hit soon. Did anyone say anything about new mods?
The official Sphax patch has updated to fully support the v0.7.6b update! You should totally download it. Enjoy!
Hi it's me 4 years ago
The 1.7.10 Pack was updated to version 0.7.6b 4 years ago
The 1.7.10 Pack was updated to version 0.7.6b 4 years ago
The 1.7.10 Pack was updated to version 0.7.6b 4 years ago

Latest Update

Thank you to all who have donated and supported the modpack's development. Recently we found that there is an issue with the donor capes on our end. It should be fixed within a couple of days so you could all show them off again!